- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- c
- d
- e
- f
- h
- i
- m
- n
- o
- p
- r
- s
- t
- u
- w

### - c -

- CanceledError : SignOn::AuthSession , SignOn::Identity
- CredentialsNotAvailable : SignOn::Error
- CredentialsNotAvailableError : SignOn::Identity
- CustomState : SignOn::AuthSession

### - d -

- DataSending : SignOn::AuthSession

### - e -

- EncryptionFailed : SignOn::Error
- EncryptionFailure : SignOn::Error

### - f -

- ForgotPassword : SignOn::Error

### - h -

- HostResolving : SignOn::AuthSession

### - i -

- IdentityNotFound : SignOn::Error
- IdentityOperationCanceled : SignOn::Error
- IncorrectDate : SignOn::Error
- InternalCommunication : SignOn::Error
- InternalCommunicationError : SignOn::AuthService , SignOn::AuthSession , SignOn::Identity
- InternalServer : SignOn::Error
- InternalServerError : SignOn::AuthService , SignOn::AuthSession , SignOn::Identity
- InvalidCredentials : SignOn::Error
- InvalidCredentialsError : SignOn::AuthSession
- InvalidQuery : SignOn::Error
- InvalidQueryError : SignOn::AuthService

### - m -

- MechanismNotAvailable : SignOn::Error
- MechanismNotAvailableError : SignOn::AuthSession
- MethodNotAvailable : SignOn::Error
- MethodNotAvailableError : SignOn::Identity
- MethodNotKnown : SignOn::Error
- MethodNotKnownError : SignOn::AuthService
- MethodOrMechanismNotAllowed : SignOn::Error
- MissingData : SignOn::Error
- MissingDataError : SignOn::AuthSession

### - n -

- Network : SignOn::Error
- NetworkError : SignOn::AuthSession
- NoConnection : SignOn::Error
- NoConnectionError : SignOn::AuthSession
- NotAuthorized : SignOn::Error
- NotAvailableError : SignOn::AuthService
- NotFoundError : SignOn::Identity

### - o -

- OperationFailed : SignOn::Error
- OperationNotSupported : SignOn::Error
- OperationNotSupportedError : SignOn::AuthSession

### - p -

- PermissionDenied : SignOn::Error
- PermissionDeniedError : SignOn::AuthService , SignOn::Identity , SignOn::AuthSession
- ProcessCanceling : SignOn::AuthSession
- ProcessDone : SignOn::AuthSession
- ProcessPending : SignOn::AuthSession

### - r -

- ReferenceNotFound : SignOn::Error
- RemoveFailed : SignOn::Error
- RemoveFailedError : SignOn::Identity
- ReplyWaiting : SignOn::AuthSession
- Runtime : SignOn::Error
- RuntimeError : SignOn::AuthSession

### - s -

- ServerConnecting : SignOn::AuthSession
- ServiceNotAvailable : SignOn::Error
- SessionCanceled : SignOn::Error
- SessionNotStarted : SignOn::AuthSession
- SessionStarted : SignOn::AuthSession
- SignOutFailed : SignOn::Error
- SignOutFailedError : SignOn::Identity
- Ssl : SignOn::Error
- SslError : SignOn::AuthSession
- StoreFailed : SignOn::Error
- StoreFailedError : SignOn::Identity

### - t -

- TimedOut : SignOn::Error
- TimedOutError : SignOn::AuthSession
- TOSNotAccepted : SignOn::Error

### - u -

- UiRefreshing : SignOn::AuthSession
- Unknown : SignOn::Error
- UnknownError : SignOn::AuthSession , SignOn::Identity , SignOn::AuthService
- UserInteraction : SignOn::Error
- UserInteractionError : SignOn::AuthSession
- UserPending : SignOn::AuthSession

### - w -

- WrongState : SignOn::Error
- WrongStateError : SignOn::AuthSession